com.tibco.tea.agent.api

## Enum TeaConcept

- java.lang.Object
- - java.lang.Enum<TeaConcept>
  - - com.tibco.tea.agent.api.TeaConcept

- All Implemented Interfaces:
    Serializable, Comparable<TeaConcept>

      public enum TeaConcept
      extends Enum<TeaConcept>

  List of the concepts defined in TEA.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_POINT` Access point, should have config, state
    `APPLICATION` Application, should have config, state, could have children
    `GROUP` Group, should children
    `PROCESS` Process, should have config, state, could have children
    `RESOURCE` Resource, should have config
    `TOP_LEVEL` Top level type for an agent.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TeaConcept` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeaConcept[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCESS_POINT

          public static final TeaConcept ACCESS_POINT

      Access point, should have config, state

    - #### APPLICATION

          public static final TeaConcept APPLICATION

      Application, should have config, state, could have children

    - #### GROUP

          public static final TeaConcept GROUP

      Group, should children

    - #### PROCESS

          public static final TeaConcept PROCESS

      Process, should have config, state, could have children

    - #### RESOURCE

          public static final TeaConcept RESOURCE

      Resource, should have config

    - #### TOP_LEVEL

          public static final TeaConcept TOP_LEVEL

      Top level type for an agent. There can be only one instance of this object per agent. Should have children. Cannot have configuration nor state

  - ### Method Detail

    - #### values

          public static TeaConcept[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeaConcept c : TeaConcept.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeaConcept valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.